[Qa-jenkins-scm] [jenkins.debian.net] 02/03: reproducible: be more verbose on repeated failure
Holger Levsen
holger at moszumanska.debian.org
Tue Sep 22 18:43:41 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 8ac31a8b9cc33769cb992e320c64a7ea6aad4ea4
Author: Holger Levsen <holger at layer-acht.org>
Date: Tue Sep 22 20:40:38 2015 +0200
reproducible: be more verbose on repeated failure
---
bin/schroot-create.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index d0deea9..40833fb 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -105,7 +105,7 @@ robust_chroot_apt() {
if [ ! -z "$RESULT" ] ; then
echo "$(date -u) - 'apt-get $@' failed, sleeping 5min before retrying..."
sleep 5m
- sudo chroot $CHROOT_TARGET apt-get $@
+ sudo chroot $CHROOT_TARGET apt-get $@ || ( echo "$(date -u ) - 2nd 'apt-get $@' failed, giving up..." ; exit 1 )
fi
rm -f $TMPLOG
}
@@ -123,7 +123,7 @@ bootstrap() {
echo "$(date -u) - initial debootstrap failed, sleeping 5min before retrying..."
sudo rm -rf --one-file-system $CHROOT_TARGET
sleep 5m
- sudo debootstrap $SUITE $CHROOT_TARGET $MIRROR
+ sudo debootstrap $SUITE $CHROOT_TARGET $MIRROR || ( echo "$(date -u ) - 2nd debootstrap failed, giving up..." ; exit 1 )
fi
rm -f $TMPLOG
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list